Strategy / REST API
Approve gtm asset
Approve and freeze one reviewed offering-scoped GTM asset version. Requires explicit confirmation.
POST /api/v1/gtm-assets/{kind}/{id}/lifecycleDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
kindRequired · string- See the input schema for this field.offer · lead_magnet
idRequired · string- See the input schema for this field.
actionRequired · string- See the input schema for this field.
confirmRequired · boolean- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/gtm-assets/offer/00000000-0000-4000-8000-000000000000/lifecycle" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","action":"approve","confirm":true}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"kind": {
"type": "string",
"enum": [
"offer",
"lead_magnet"
]
},
"id": {
"type": "string"
},
"action": {
"type": "string",
"const": "approve"
},
"confirm": {
"type": "boolean",
"const": true
}
},
"required": [
"workspaceId",
"kind",
"id",
"action",
"confirm"
],
"additionalProperties": false
}